CollectionsHosted PaymentsRefunds

Create a Hosted Refund

POST
/v1/hosted-refunds

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Header Parameters

Idempotency-Key?string

A unique value, eg. a UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

amount?number

A positive integer value in the specified currency's smallest unit. e.g. $10 would be represented as 1000 (cents).

Range1 <= value <= 20000000
currency?string

Three-letter ISO 4217 currency code in full uppercase. Must be a supported currency.

Match^SGD$
hostedPaymentId*string

ID of the hosted payment to refund.

Length0 <= length <= 64
referenceId?string

A string to reference (e.g. your refund ID, etc.) which can be used to reconcile the hosted refund with your own systems. This cannot exceed 255 characters.

Length0 <= length <= 255

Response Body

*/*

application/json

application/json

curl -X POST "https://example.com/v1/hosted-refunds" \  -H "Content-Type: application/json" \  -d '{    "hostedPaymentId": "string"  }'

A refund of a completed hosted payment. It starts in PENDING and moves to SUCCEEDED or FAILED.

{  "id": "hrfnd_0J7QA2M8V5X1K",  "status": "PENDING",  "amount": 420,  "currency": "SGD",  "hostedPaymentId": "hpymt_0J7Q9A2M8V5X1",  "referenceId": "RFND-10042",  "createdAt": "2026-09-09T06:44:34.233697Z",  "updatedAt": "2026-09-09T06:44:34.233697Z"}